Description

Running "rake puppet:import:puppet_classes RAILS_ENV=production" as root does not import classes from my modules.  The only

way to get the rake to import modules is to manually specify the modulepath in settings.yaml.

My /etc/puppet.conf is attached.

Associated revisions

Revision 6281aac9 - 12/07/2009 06:55 AM - Ohad Levy

fixes #81 - Rake does not import classes from modules when not using the environment statement in puppet.conf

History

#1 - 11/19/2009 05:08 AM - Ohad Levy

- Category set to Puppet integration

- Status changed from New to Assigned

- Assignee set to Ohad Levy

- Target version set to 0.1-3

this happened because the environment setup has changed in 0.25x, there is no need to declare your environments.

#2 - 11/20/2009 03:25 AM - Ohad Levy

- Subject changed from Rake does not import classes from modules to Rake does not import classes from modules when not using the environment

statement in puppet.conf

#3 - 12/07/2009 06:57 AM - Ohad Levy

- Status changed from Assigned to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset 6281aac9b3499170cef8a74b65ca04947b8edb64.

#4 - 12/08/2009 01:55 PM - Ohad Levy

- Status changed from Ready For Testing to Closed

Files

puppet.conf 870 Bytes 11/17/2009 Josh Baird
